# Selectricity: Voting Machinery for the Masses
# Copyright (C) 2007, 2008 Benjamin Mako Hill <mako@atdot.cc>
# Copyright (C) 2007 Massachusetts Institute of Technology
#
# This program is free software. Please see the COPYING file for
# details.

class Ranking < ActiveRecord::Base
  belongs_to :candidate
  belongs_to :vote
  acts_as_list :scope => :vote, :column => :rank

  def <=>(other)
    self.rank <=> other.rank
  end

  def to_s
    self.rank.to_s
  end

end
