# Selectricity: Voting Machinery for the Masses
# Copyright (C) 2007, 2008 Benjamin Mako Hill <mako@atdot.cc>
# Copyright (C) 2007 Massachusetts Institute of Technology
#
# This program is free software. Please see the COPYING file for
# details.

class RawVoterList

  attr_accessor :email
  attr_accessor :input_addresses

  include Enumerable

  def initialize(params={})
    @email = params[:email].to_i || 1
    @input_addresses = params[:input_addresses] || String.new
  end

  def email=(email)
    @email = email
  end
  
  def each
    @input_addresses.split("\n").each do |address|
      yield FullVoter.new( { :email => address } ) 
    end
  end
end
